<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Update product</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>

<form th:method="PATCH" th:action="@{/product/{id}(id=${product.getId()})}" th:object="${product}">
    <label for="name">Name: </label>
    <input type="text" th:field="*{name}" id="name"/>
    <div style="color:red" th:if="${#fields.hasErrors('name')}" th:errors="*{name}">Name Error</div>
    <br/>

    <label for="price">Price: </label>
    <input type="text" th:field="*{price}" id="price"/>
    <div style="color:red" th:if="${#fields.hasErrors('price')}" th:errors="*{price}">Price Error</div>
    <br/>

    <label for="productType">Product type: </label>
    <select th:field="*{productType}" id="productType">
        <option th:each="productType : ${productType}" th:value="${productType.getId()}" th:text="${productType.getName()}">
        </option>
    </select>
    <div style="color:red" th:if="${#fields.hasErrors('productType')}" th:errors="*{productType}">productType Error</div>
    <br/>

    <label for="measure">Product type: </label>
    <select th:field="*{measure}" id="measure">
        <option th:each="measure : ${T(com.adanilyuk.smartfridge.entity.Measures).values()}"
                th:value="${measure}" th:text="${measure}"></option>
    </select>
    <div style="color:red" th:if="${#fields.hasErrors('measure')}" th:errors="*{measure}">Measure Error</div>
    <br/>

    <input type="submit" value="Save"/>
</form>

<div th:if="${product.getId()}">
    <form th:method="DELETE" th:action="@{/product/{id}(id=${product.getId()})}">
        <input type="submit" value="Delete"/>
    </form>
</div>

</body>
</html>